(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common/http'), require('@angular/core'), require('@angular/common'), require('@angular/router'), require('asap-shared'), require('asap-crud'), require('@angular/platform-browser')) :
    typeof define === 'function' && define.amd ? define('asap-news', ['exports', '@angular/common/http', '@angular/core', '@angular/common', '@angular/router', 'asap-shared', 'asap-crud', '@angular/platform-browser'], factory) :
    (global = global || self, factory(global['asap-news'] = {}, global.ng.common.http, global.ng.core, global.ng.common, global.ng.router, global.asapShared, global.asapCrud, global.ng.platformBrowser));
}(this, (function (exports, http, core, common, router, asapShared, asapCrud, platformBrowser) { 'use strict';

    /******************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __rest(s, e) {
        var t = {};
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (g && (g = 0, op[0] && (_ = 0)), _) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    var __createBinding = Object.create ? (function(o, m, k, k2) {
        if (k2 === undefined) k2 = k;
        var desc = Object.getOwnPropertyDescriptor(m, k);
        if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
            desc = { enumerable: true, get: function() { return m[k]; } };
        }
        Object.defineProperty(o, k2, desc);
    }) : (function(o, m, k, k2) {
        if (k2 === undefined) k2 = k;
        o[k2] = m[k];
    });

    function __exportStar(m, o) {
        for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p)) __createBinding(o, m, p);
    }

    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m) return m.call(o);
        if (o && typeof o.length === "number") return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }

    function __spreadArray(to, from, pack) {
        if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
            if (ar || !(i in from)) {
                if (!ar) ar = Array.prototype.slice.call(from, 0, i);
                ar[i] = from[i];
            }
        }
        return to.concat(ar || Array.prototype.slice.call(from));
    }

    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }

    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
    }

    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }

    function __asyncValues(o) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
    }

    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
        return cooked;
    };

    var __setModuleDefault = Object.create ? (function(o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function(o, v) {
        o["default"] = v;
    };

    function __importStar(mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }

    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }

    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }

    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m") throw new TypeError("Private method is not writable");
        if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    function __classPrivateFieldIn(state, receiver) {
        if (receiver === null || (typeof receiver !== "object" && typeof receiver !== "function")) throw new TypeError("Cannot use 'in' operator on non-object");
        return typeof state === "function" ? receiver === state : state.has(receiver);
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/asap-news.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AsapNewsService = /** @class */ (function () {
        function AsapNewsService(http) {
            this.http = http;
            this.host = localStorage.getItem('apiURL');
        }
        /**
         * @param {?} id
         * @return {?}
         */
        AsapNewsService.prototype.find = /**
         * @param {?} id
         * @return {?}
         */
        function (id) {
            return this.http.get(this.host + '/api/v2/client/news/' + id, this.getHeaders());
        };
        /**
         * @param {?} id
         * @return {?}
         */
        AsapNewsService.prototype.section = /**
         * @param {?} id
         * @return {?}
         */
        function (id) {
            return this.http.get(this.host + '/api/v2/client/news-section/' + id + '/news', this.getHeaders());
        };
        /**
         * @return {?}
         */
        AsapNewsService.prototype.getHeaders = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var token = '';
            if (localStorage.getItem('token')) {
                token = localStorage.getItem('token');
            }
            /** @type {?} */
            var headerOptions = {
                'Authorization': token,
                'Accept': 'application/json'
            };
            return { headers: new http.HttpHeaders(headerOptions) };
        };
        AsapNewsService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        AsapNewsService.ctorParameters = function () { return [
            { type: http.HttpClient }
        ]; };
        /** @nocollapse */ AsapNewsService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function AsapNewsService_Factory() { return new AsapNewsService(core.ɵɵinject(http.HttpClient)); }, token: AsapNewsService, providedIn: "root" });
        return AsapNewsService;
    }());
    if (false) {
        /** @type {?} */
        AsapNewsService.prototype.host;
        /** @type {?} */
        AsapNewsService.prototype.http;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/asap-news.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AsapNewsComponent = /** @class */ (function () {
        function AsapNewsComponent() {
        }
        AsapNewsComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'asap-news',
                        template: "<router-outlet></router-outlet>"
                    }] }
        ];
        return AsapNewsComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/all-news/all-news.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AllNewsComponent = /** @class */ (function (_super) {
        __extends(AllNewsComponent, _super);
        function AllNewsComponent(global, activatedRoute, service) {
            var _this = _super.call(this, global, service) || this;
            _this.global = global;
            _this.activatedRoute = activatedRoute;
            _this.service = service;
            _this.service.basePath = 'api/v2/client';
            _this.service.entityName = 'news/search';
            _this.cumulativeData = true;
            /** @type {?} */
            var params = _this.global.decodeQueryString();
            _this.session = params.session;
            _this.title = params.session_name;
            _this.afterCreate();
            return _this;
        }
        /**
         * @return {?}
         */
        AllNewsComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
        };
        /**
         * @param {?=} page
         * @return {?}
         */
        AllNewsComponent.prototype.listAll = /**
         * @param {?=} page
         * @return {?}
         */
        function (page) {
            var _this = this;
            if (page === void 0) { page = 1; }
            /** @type {?} */
            var data = __assign({ session: this.session }, this.filter);
            this.service.createResource(data).subscribe((/**
             * @param {?} response
             * @return {?}
             */
            function (response) {
                _this.list = response;
            }));
        };
        /**
         * @param {?} filter
         * @return {?}
         */
        AllNewsComponent.prototype.doFilter = /**
         * @param {?} filter
         * @return {?}
         */
        function (filter) {
            this.filter = filter;
            this.listAll();
        };
        AllNewsComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'app-all-news',
                        template: "<div class=\"wrapper\">\n  <!-- <app-navbar></app-navbar>\n  <app-navbar-mobile></app-navbar-mobile>\n  <app-sidemenu></app-sidemenu> -->\n  <div class=\"content\">\n    <div class=\"compress py-5\">\n      <!-- <h3>{{title}}</h3> -->\n      <asap-generic-all (filter)=\"doFilter($event)\" [data]=\"list\" *ngIf=\"list\"></asap-generic-all>\n\n      <div class=\"text-center\" *ngIf=\"meta?.current_page != meta?.last_page\">\n        <button *ngIf=\"!loading\" class=\"btn btn-primary\" (click)=\"listAll(meta?.current_page+1)\">Carregar mais</button>\n        <button *ngIf=\"loading\" class=\"btn btn-primary\" disabled>\n          <i class=\"fa fa-spin fa-circle-o-notch\"></i>\n        </button>\n      </div>\n    </div>\n  </div>\n</div>\n",
                        providers: [asapCrud.AsapService]
                    }] }
        ];
        /** @nocollapse */
        AllNewsComponent.ctorParameters = function () { return [
            { type: asapCrud.Global },
            { type: router.ActivatedRoute },
            { type: asapCrud.AsapService }
        ]; };
        return AllNewsComponent;
    }(asapCrud.AsapBaseCRUD));
    if (false) {
        /** @type {?} */
        AllNewsComponent.prototype.session;
        /** @type {?} */
        AllNewsComponent.prototype.title;
        /** @type {?} */
        AllNewsComponent.prototype.filter;
        /** @type {?} */
        AllNewsComponent.prototype.global;
        /** @type {?} */
        AllNewsComponent.prototype.activatedRoute;
        /** @type {?} */
        AllNewsComponent.prototype.service;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/detail/asap-news-detail.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AsapNewsDetailComponent = /** @class */ (function () {
        function AsapNewsDetailComponent(newsService, activatedRoute, location) {
            var _this = this;
            this.newsService = newsService;
            this.activatedRoute = activatedRoute;
            this.location = location;
            this.activatedRoute.params.subscribe((/**
             * @param {?} param
             * @return {?}
             */
            function (param) {
                _this.id = +param.id;
            }));
        }
        /**
         * @return {?}
         */
        AsapNewsDetailComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var lu = localStorage.getItem('loggedUser');
            if (lu) {
                this.loggedUser = JSON.parse(lu).data;
            }
            this.getData();
        };
        /**
         * @return {?}
         */
        AsapNewsDetailComponent.prototype.getData = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this.loading = true;
            this.newsService.find(this.id)
                .subscribe((/**
             * @param {?} res
             * @return {?}
             */
            function (res) {
                if (_this.loggedUser || res.data.visibility === 'guest') {
                    _this.item = res.data;
                }
                else {
                    _this.notFound = true;
                }
                _this.loading = false;
            }));
        };
        AsapNewsDetailComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'asap-news-detail',
                        template: "<p *ngIf=\"loading\">Carregando...</p>\n<div style=\"margin-top: 20px\" class=\"col-sm-12 text-right\">\n  <a (click)=\"location.back()\">\n    <i class=\"bi bi-x-circle\" style=\"font-size: 30px\"></i>\n  </a>\n</div>\n<div class=\"row\" *ngIf=\"!loading\">\n  <div class=\"col-sm-8 mx-auto\">\n    <div class=\"intro-post\">\n      <h1>{{ item.title }}</h1>\n      <h4 class=\"mt-2\">{{ item.resume }}</h4>\n      <span class=\"date-post\"\n        ><i class=\"fa fa-clock\"></i> {{ item.created_at | date : \"dd/MM/y\" }} \u00E0s\n        {{ item.created_at | date : \"hh:mm\" }}</span\n      >\n    </div>\n\n    <img [src]=\"item.image\" class=\"cover-post\" alt=\"\" />\n\n    <div>\n      <div\n        class=\"asap-news-detail-text\"\n        [innerHTML]=\"item.text | safe : 'html'\"\n      ></div>\n    </div>\n\n    <div class=\"row\" *ngIf=\"item.author\">\n      <div class=\"col-sm-12\">\n        <div class=\"divider-line\"></div>\n        <figure>\n          <img [src]=\"item.author_photo\" class=\"user-created\" />\n        </figure>\n        <div class=\"user-created-info\">\n          <h2 class=\"written-by\">\n            Escrito por <strong>{{ item.author }}</strong>\n          </h2>\n          <span class=\"autor-description\">{{ item.author_about }}</span>\n        </div>\n      </div>\n    </div>\n\n    <div\n      *ngIf=\"item.attachments && item.attachments.length\"\n      class=\"download-area\"\n    >\n      <p class=\"title\">Anexos:</p>\n      <p class=\"mb-3\">Clique no(s) arquivo(s) para baixar.</p>\n      <div class=\"row\">\n        <div *ngFor=\"let att of item.attachments\" class=\"col-sm-4\">\n          <a target=\"_blank\" [href]=\"att.path\">\n            <i aria-hidden=\"true\" class=\"fa fa-file-pdf-o\"></i>\n            <span class=\"ml-2\">{{ att.name }}</span>\n          </a>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n\n<p *ngIf=\"notFound\">Not\u00EDcia n\u00E3o dispon\u00EDvel</p>\n",
                        styles: [".intro-post{display:flex;flex-direction:column;align-items:center;justify-content:space-around;min-height:100px;margin-bottom:30px;padding-top:30px;height:auto;text-align:center}.download-area{background:#f4f4f4;padding:10px;border-radius:4px;margin:20px 0}.download-area p.title{font-weight:500}.download-area a{display:block;min-width:100%;max-width:15ch;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#fff;background:var(--main-color);margin-bottom:10px;padding:5px 10px;font-size:13px;border-radius:4px}.download-area a:hover{opacity:.7}.date-post{padding-top:20px;text-transform:uppercase;color:#888;font-size:15px;font-weight:700}.cover-post{width:100%;height:auto;border-radius:16px;-o-object-fit:cover;object-fit:cover;margin-bottom:30px}.divider-line{width:100%;height:1px;margin-bottom:48px;margin-top:48px;background-color:#e1e1e1}figure{margin:0 0 1rem}figure .user-created{float:left;width:160px;height:160px;margin-right:20px;-o-object-fit:cover;object-fit:cover;border-radius:50%;overflow:hidden;padding:4px;border:1px solid #e1e1e1;display:block}.user-created-info{display:flex;align-items:flex-start;justify-content:center;flex-direction:column;height:160px;width:calc(100% - 180px);margin-bottom:50px}.user-created-info .written-by{padding-bottom:10px;font-weight:300}.user-created-info .autor-description{line-height:22px}@media (max-width:575.98px){figure{margin:0}figure .user-created{float:none;width:100px;height:100px;margin:0 auto 40px;-o-object-fit:cover;object-fit:cover;border-radius:50%;overflow:hidden}.user-created-info{display:flex;align-items:center;justify-content:center;flex-direction:column;height:auto;width:100%;margin-bottom:50px;text-align:center}.user-created-info .written-by{padding-bottom:10px;font-weight:300;font-size:18px}.user-created-info .autor-description{line-height:22px}}"]
                    }] }
        ];
        /** @nocollapse */
        AsapNewsDetailComponent.ctorParameters = function () { return [
            { type: AsapNewsService },
            { type: router.ActivatedRoute },
            { type: common.Location }
        ]; };
        return AsapNewsDetailComponent;
    }());
    if (false) {
        /** @type {?} */
        AsapNewsDetailComponent.prototype.id;
        /** @type {?} */
        AsapNewsDetailComponent.prototype.loading;
        /** @type {?} */
        AsapNewsDetailComponent.prototype.item;
        /** @type {?} */
        AsapNewsDetailComponent.prototype.loggedUser;
        /** @type {?} */
        AsapNewsDetailComponent.prototype.notFound;
        /** @type {?} */
        AsapNewsDetailComponent.prototype.newsService;
        /** @type {?} */
        AsapNewsDetailComponent.prototype.activatedRoute;
        /** @type {?} */
        AsapNewsDetailComponent.prototype.location;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/safe.pipe.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SafePipe = /** @class */ (function () {
        function SafePipe(sanitizer) {
            this.sanitizer = sanitizer;
        }
        /**
         * @param {?} url
         * @param {?=} type
         * @return {?}
         */
        SafePipe.prototype.transform = /**
         * @param {?} url
         * @param {?=} type
         * @return {?}
         */
        function (url, type) {
            switch (type) {
                case 'html': return this.sanitizer.bypassSecurityTrustHtml(url);
                case 'style': return this.sanitizer.bypassSecurityTrustStyle(url);
                case 'script': return this.sanitizer.bypassSecurityTrustScript(url);
                case 'url': return this.sanitizer.bypassSecurityTrustUrl(url);
                case 'resourceUrl': return this.sanitizer.bypassSecurityTrustResourceUrl(url);
                default: return this.sanitizer.bypassSecurityTrustResourceUrl(url);
            }
        };
        SafePipe.decorators = [
            { type: core.Pipe, args: [{ name: 'safe' },] }
        ];
        /** @nocollapse */
        SafePipe.ctorParameters = function () { return [
            { type: platformBrowser.DomSanitizer }
        ]; };
        return SafePipe;
    }());
    if (false) {
        /**
         * @type {?}
         * @private
         */
        SafePipe.prototype.sanitizer;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/section/asap-news-section.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AsapNewsSectionComponent = /** @class */ (function () {
        function AsapNewsSectionComponent(newsService, activatedRoute) {
            var _this = this;
            this.newsService = newsService;
            this.activatedRoute = activatedRoute;
            this.activatedRoute.params.subscribe((/**
             * @param {?} param
             * @return {?}
             */
            function (param) {
                _this.id = +param.id;
            }));
        }
        /**
         * @return {?}
         */
        AsapNewsSectionComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.getData();
        };
        /**
         * @return {?}
         */
        AsapNewsSectionComponent.prototype.getData = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this.loading = true;
            this.newsService.section(this.id)
                .subscribe((/**
             * @param {?} res
             * @return {?}
             */
            function (res) {
                _this.data = res.data;
                _this.loading = false;
            }));
        };
        AsapNewsSectionComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'asap-news-section',
                        template: "<pre>{{ data | json }}</pre>"
                    }] }
        ];
        /** @nocollapse */
        AsapNewsSectionComponent.ctorParameters = function () { return [
            { type: AsapNewsService },
            { type: router.ActivatedRoute }
        ]; };
        return AsapNewsSectionComponent;
    }());
    if (false) {
        /** @type {?} */
        AsapNewsSectionComponent.prototype.id;
        /** @type {?} */
        AsapNewsSectionComponent.prototype.loading;
        /** @type {?} */
        AsapNewsSectionComponent.prototype.data;
        /** @type {?} */
        AsapNewsSectionComponent.prototype.newsService;
        /** @type {?} */
        AsapNewsSectionComponent.prototype.activatedRoute;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/asap-news.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var components = [
        AllNewsComponent,
        AsapNewsComponent,
        AsapNewsDetailComponent,
        AsapNewsSectionComponent
    ];
    var AsapNewsModule = /** @class */ (function () {
        function AsapNewsModule() {
        }
        AsapNewsModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            router.RouterModule,
                            asapShared.AsapSharedModule
                        ],
                        declarations: __spread(components, [
                            SafePipe
                        ]),
                        exports: __spread(components)
                    },] }
        ];
        return AsapNewsModule;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/asap-news.routing.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var AsapNewsRouting = [
        {
            path: ':id',
            component: AsapNewsDetailComponent
        },
        {
            path: ':id/section',
            component: AsapNewsSectionComponent
        },
        {
            path: 'view/all',
            component: AllNewsComponent
        },
    ];

    exports.AsapNewsComponent = AsapNewsComponent;
    exports.AsapNewsModule = AsapNewsModule;
    exports.AsapNewsRouting = AsapNewsRouting;
    exports.AsapNewsService = AsapNewsService;
    exports.ɵa = AllNewsComponent;
    exports.ɵb = AsapNewsDetailComponent;
    exports.ɵc = AsapNewsSectionComponent;
    exports.ɵd = SafePipe;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=asap-news.umd.js.map
